petsc-3.12.1 2019-10-22
Report Typos and Errors

# MatColoringSetDistance

Sets the distance of the coloring

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatColoringSetDistance(MatColoring mc,PetscInt dist)

Logically Collective on MatColoring

### Input Parameters

| mc | - the MatColoring context
| dist | - the distance the coloring should compute

### Notes

The distance of the coloring denotes the minimum number of edges in the graph induced by the matrix any two vertices of the same color are. Distance-1 colorings are the classical coloring, where no two vertices of the same color are adjacent. distance-2 colorings are useful for the computation of Jacobians.

### See Also

MatColoringGetDistance(), MatColoringApply()

### Level

beginner

### Location

src/mat/color/interface/matcoloring.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages